Package org.springframework.security.acls.model

# Interface AccessControlEntry

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `AuditableAccessControlEntry`

All Known Implementing Classes:
  `AccessControlEntryImpl`

public interface AccessControlEntry extends Serializable
Represents an individual permission assignment within an `Acl`.

Instances MUST be immutable, as they are returned by `Acl` and should not allow client modification.

## Method Summary

Modifier and Type
Method
Description
`Acl`
`getAcl()`
`Serializable`
`getId()`
Obtains an identifier that represents this ACE.
`Permission`
`getPermission()`
`Sid`
`getSid()`
`boolean`
`isGranting()`
Indicates the permission is being granted to the relevant Sid.

## Method Details

### getAcl

Acl getAcl()

### getId

Serializable getId()
Obtains an identifier that represents this ACE.

Returns:
  the identifier, or `null` if unsaved

### getPermission

Permission getPermission()

### getSid

Sid getSid()

### isGranting

boolean isGranting()
Indicates the permission is being granted to the relevant Sid. If false, indicates the permission is being revoked/blocked.

Returns:
  true if being granted, false otherwise